package com.peetz.library.dal;

import java.util.Collection;

import javax.ejb.Local;

import com.peetz.library.entity.MagazineEntity;

@Local
public interface MagazineDao {
	public MagazineEntity findById(Long id);
	public Collection<MagazineEntity> findByIds(Collection<Long> ids);
	public MagazineEntity store(MagazineEntity entity);
	public void delete(MagazineEntity entity);
}
